header {
  max-width: 1280px;
  width: 80%;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  user-select: none;
  position: relative;
  @include desktop {
    width: 100%;
  }
  
  .btn-opengame {
    margin: 0;

    @media screen and (min-width: 1025px) {
      display: none;
    }
  }

  // .btn-toggle {
  //   @include desktop {
  //     display: none;
  //   }

  //   z-index: 11;
  //   padding: 0.5em 1em;
  //   cursor: pointer;
  //   font-size: 0.45em;

  //   position: fixed;
  //   bottom: 4rem;
  //   left: 0.5rem;

  //   background: #a9864c;
  //   border: 1px solid #efe08f;

  //   .bar1,
  //   .bar2,
  //   .bar3 {
  //     width: 3.5em;
  //     height: 0.5em;
  //     background-color: white;
  //     margin: 0.6em 0;
  //     transition: 0.4s;
  //   }

  //   &.active {
  //     border: none;
  //     background: none;

  //     .bar1,
  //     .bar2,
  //     .bar3 {
  //       background-color: #080807;
  //     }

  //     .bar1 {
  //       transform: rotate(-45deg) translate(-0.9em, 0.6em);
  //     }

  //     .bar2 {
  //       opacity: 0;
  //     }

  //     .bar3 {
  //       transform: rotate(45deg) translate(-0.8em, -0.8em);
  //     }
  //   }
  // }

  .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
    background: rgba($color: black, $alpha: 0.6);

    @include mobile {
      &.active {
        display: block;
      }
    }
  }

  .login {
    color: $primary-color-light;
    font-family: $secondary-font;
    font-size: 3vmin;
    margin: 0.5em 1em;
    position: absolute;
    top: 2%;
    right: 0;
    @include desktop {
      font-size: 4vmin;
      right: 2%;
    }
    @include mobile {
      flex-grow: 1;
      text-align: right;
    }

    a {
      .username {
        max-width: 10em;
        overflow: hidden;
        white-space: nowrap;
        display: inline-block;
        vertical-align: middle;
        text-overflow: ellipsis;
        text-transform: uppercase;
        @include mobile {
          max-width: 15em;
        }
      }

      img {
        width: 1.6em;
        height: auto;
        margin: 0 0.2em 0 0.5em;
        transition: transform 0.3s;
      }
      &:hover {
        color: $secondary-color;

        img {
          transform: scale(1.2);
        }
      }
    }
  }

  .logo {
    width: 15vmin;
    margin: 0 auto; 
    @include desktop {
      margin: 10vmin auto 0; 
    }
    @media screen and (max-device-width: 1024px) and (orientation : landscape) {
      margin: 0 auto; 
    }
  }
}
